> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow

> Get a single workflow by ID with its latest definition



## OpenAPI

````yaml /openapi.yaml get /org/{org_id}/workflows/{workflow_id}
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/workflows/{workflow_id}:
    get:
      tags:
        - Workflows
      summary: Get workflow
      description: Get a single workflow by ID with its latest definition
      operationId: getWorkflow
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
        - description: Workflow ID
          in: path
          name: workflow_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workflows.WorkflowResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    workflows.WorkflowResponse:
      properties:
        created_at:
          type: string
        definition:
          items:
            type: integer
          type: array
        description:
          type: string
        id:
          type: string
        is_active:
          type: boolean
        name:
          type: string
        published_at:
          type: string
        trigger_type:
          type: string
        updated_at:
          type: string
        version:
          type: integer
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````